id: digital-ocean-phish

info:
  name: digital ocean phishing Detection
  author: rxerium
  severity: info
  description: |
    A digital-ocean phishing website was detected
  reference:
    - https://digitalocean.com
  metadata:
    max-request: 1
  tags: phishing,digital-ocean,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'DigitalOcean | Cloud Infrastructure for Developers'
          - 'DigitalOcean'
        condition: and


      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"digitalocean.com")'
# digest: 4a0a0047304502201692379c1f9bb5de3e6229aea6c8f0692dbffb14304dcacd2cf2b59949e2673c022100cb44246b20dcc6e77609fb9fdecb9f3937163942d771f87346850a1b2a171551:922c64590222798bb761d5b6d8e72950